#!/bin/sh
#
# File:		uninst.sh
#
# Product:	Tivoli Plus Module
# Description:	Shell Script
# Author:	Jake Kitchener
#
# (C) COPYRIGHT IBM Corp. 2000
# All Rights Reserved
#


wcd
wcd TivoliPlus
wcd "Director Agent Plus for Tivoli"
wunsub -a "Director Agent Inventory"
wunsub -a "Subscribers of Director Agent"
wcd "Director Agent Inventory Queries"
wdel "Cache"
wdel "System Enclosure"
wdel "CIM"
wdel "System Board Configuration"
wdel "IP Network Configuration"
wdel "IPX Network Configuration"
wdel "Lease Information"
wdel "Geographic Information"
wdel "Memory Details"
wdel "Network Details"
wdel "Personalized Data"
wdel "Port Connectors"
wdel "Processor Details"
wdel "Serial Number Information"
wdel "IBM Director Agent"
wdel "User Details"
wdel "Video Details"
wdel "Warranty Information"
wdel "DMI"
wdel "System Slots"
wdel "SNMP Agent Configuration"
wdel "Alert On LAN Settings"
wdel "AssetID"
wdel "BIOS Details"
wdel "Installed Director Agent INV3.6.x"
wdel "Installed Director Agent INV4.0"
wdel "FRU Service Numbers"
wdel "Firmware"
wcd ..
wdel "Director Agent Inventory Queries"
wcd "Director Agent Inventory"
wdel "Director Agent PC HW Scan"
wdel "Director Agent PC SW Scan"
wcd ..
wdel "Director Agent Inventory"
wcd
$BINDIR/../generic_unix/TME/PLUS/LINK/PLUSinstruct.sh -uda $BINDIR/../generic_unix/TME/PLUS/UM_SERVICES/PLUSproduct-info.sh
wcd
wcd TivoliPlus
wcd "Director Agent Plus for Tivoli"
ARGLIST=$(wls /Library/TMF_imp_TSysAdmin::PolicyDrivenBase)
$BINDIR/../generic_unix/TME/PLUS/UM_SERVICES/removeLaunch.sh $ARGLIST
wcd
rm -f $BINDIR/../generic_unix/.installed/UM_Services_GBIN
rm -f $BINDIR/../../msg_cat/.installed/UM_Services_CAT
rm -f -r $BINDIR/../generic_unix/TME/PLUS/UM_SERVICES/
rm -f $BINDIR/../../msg_cat/C/UM_SERVICES_About_UM_Services_icon_msg.cat
rm -f $BINDIR/../../msg_cat/C/UM_SERVICES_Install_UM_Services_icon_msg.cat
rm -f $BINDIR/../../msg_cat/C/UM_SERVICES_Launch_UM_Services_icon_msg.cat
rm -f $BINDIR/../../msg_cat/C/UM_SERVICES_Launch_UM_Services_msg.cat
rm -f $BINDIR/../../msg_cat/C/UM_SERVICES_Monitors_for_UM_Services_icon_msg.cat
rm -f $BINDIR/../../msg_cat/C/UM_SERVICES_Prepare_for_UM_Services_install_icon_msg.cat
rm -f $BINDIR/../../msg_cat/C/UM_Services_rb_setup_sh_msg.cat
rm -f $BINDIR/../../msg_cat/C/UM_SERVICES_Reboot_UM_Services_icon_msg.cat
rm -f $BINDIR/../../msg_cat/C/UM_SERVICES_Setup_TEC_Event_Server_for_UM_Services_icon_msg.cat
rm -f $BINDIR/../../msg_cat/C/UM_SERVICES_Shutdown_UM_Services_icon_msg.cat
rm -f $BINDIR/../../msg_cat/C/UM_SERVICES_Subscribers_of_UM_Services_icon_msg.cat
rm -f $BINDIR/../../msg_cat/C/UM_Services_ums_config_fp_sh_msg.cat
rm -f $BINDIR/../../msg_cat/C/UM_Services_ums_sh_msg.cat
rm -f $BINDIR/../../msg_cat/C/UM_SERVICES_Wakeup_UM_Services_icon_msg.cat
rm -f $BINDIR/../../msg_cat/C/UM_Services_wakeupUMS_sh_msg.cat
rm -f $BINDIR/../../msg_cat/C/UM_SERVICESCAT__0_.cat
rm -f $DBDIR/.installed/UM_Services_ALIDB
rm -f $DBDIR/tec/rb_dir/TEC_CLASSES/UMStecad_snmp.baroc
